% Clear and calculate.
close all;
clear;
drawnow;
if isoctave()
    rand('state', 0);  %#ok<RAND>
else
    reset(RandStream.getGlobalStream, 0);
end

% Number of realizations.
N = 1e4;

% Set up environments.
w3D = gen_waves('3D', N, 20, 'LP');
w2D = gen_waves('2D', N, 20, 'LP');
w3D.Eth = w3D.Eth / sqrt(2);
w3D.Eph = w3D.Eph / sqrt(2);
w2D.Eth = w2D.Eth / sqrt(2);
w2D.Eph = w2D.Eph / sqrt(2);

a = gen_farfield('inc. electric dipole');
p = gen_positions(0, 0, 0, 0, linspace(0,90,6)', 0);
n_samples_list = unique(round(logspace(log10(100), log10(N), 30)));

% Animate.
animate_cases('3D', w3D, a, p, '2D', w2D, a, p, n_samples_list);

% Use this command to animate the incoming plane waves.
%figure; for k=1:50, cla; plot_waves(w3D, k); pause(0.1); end
