close all;
clear;

% This demo shows how to combine radiation far-fields.
a = gen_farfield('inc. magnetic dipole');
a = rotate_farfield(a, 0, 90, 0);
a1 = translate_farfield(a, 0, -0.5, 0);
a2 = translate_farfield(a, 0, 0.5, 0);
v1 = -1;
v2 = 1;

% New antenna with a total far-field from two excited antennas.
a_tot = a1;
a_tot.Eth = v1*a1.Eth + v2*a2.Eth;
a_tot.Eph = v1*a1.Eph + v2*a2.Eph;
a_tot = set_power_radiated(a_tot);

figure;
plot_farfield(a_tot);
