% Clear and calculate.
close all;
clear;
drawnow;
tic;

% Circular grid of positions.
[xx, yy] = gen_grid('circular', 0.05, 300);

% Environment.
w = gen_waves('3D', 1, 100, 'LP');
a = gen_farfield('inc. electric dipole');
p = gen_positions(xx(:), yy(:), 0);

% Calculate voltage at port.
H = calc_waves(w, a, p);
toc;

% Plot.
A = reshape(abs(H), size(xx));
A = A / max(A(:));

figure; %('OuterPosition', figpos('big'));
surf(xx, yy, A);
shading(gca, 'interp');
plot_waves(w);
%save_png('nice_illustration_Ez.png', 32, [], 150);
%modify_image('nice_illustration_Ez.png');
