% Clear and calculate.
close all;
clear;
drawnow;

% A z-directed electric dipole in a circular grid of positions.
[xx, yy] = gen_grid('circular', 0.05, 200);
p = gen_positions(xx(:), yy(:), 0);
a = gen_farfield('inc. electric dipole');

% Environment.
for dimensions = {'3D', '2D'}

    % Incoming waves.
    w = gen_waves(dimensions, 1, 40, 'Ell');

    % Calculate voltage at port.
    H = calc_waves(w, a, p);

    % Plot.
    A = reshape(abs(H), size(xx));
    A = A / max(A(:));

    figure;
    surf(xx, yy, A);
    shading(gca, 'interp');
    plot_waves(w);
    %save_png(dimensions{1});
end
