close all;
clear;

Nstreams = 4;
w = gen_waves('3D', 1e4, 20, 'LP', [], Nstreams);
a = repmat(gen_farfield('inc. Huygens source'), 1, Nstreams);
p = gen_positions(1:Nstreams, 0, 0);
H = calc_waves(w, a, p);

figure;
h1 = plot_cdf(mimo_svd(H));
h2 = plot_cdf(mimo_ipsvd(H));
h3 = plot_cdf(mimo_zf(H));
h4 = plot_cdf(mimo_mzf(H));
legend([h1;h2;h3;h4], [repmat({'SVD'},Nstreams,1) ; {'IPSVD'} ; ...
    repmat({'ZF'},Nstreams,1) ; {'MZF'}]);
%save_png('power_allocation.png');
%modify_image('power_allocation.png');

figure;
h1 = plot_pod(mimo_svd(H));
h2 = plot_pod(mimo_ipsvd(H));
h3 = plot_pod(mimo_zf(H));
h4 = plot_pod(mimo_mzf(H));
legend([h1;h2;h3;h4], [repmat({'SVD'},Nstreams,1) ; {'IPSVD'} ; ...
    repmat({'ZF'},Nstreams,1) ; {'MZF'}]);
