close all;
clear;

N = 1e4;
w = gen_waves('3D', N, 40, 'LP');
tmp = sum(abs(w.Eth).^2+abs(w.Eph).^2, 2);
assert(max(abs(tmp-2))<0.001, 'Waves not normalized as expected.');

%a = gen_farfield('isotropic theta', 181);
a = gen_farfield('inc. electric dipole', 181);
assert(abs(get_power_radiated(a)-1)<0.01, 'OMG');
p = gen_positions(0);
H = calc_waves(w, a, p);
fprintf('Mean received power = %.3f\n', mean(abs(H(:)).^2));

p_dB = [-60:5:-30 -25:0.1:10]';
r_dB = 0;
CCDF = exp(-10.^((p_dB-r_dB)/10));
CDF = 1 - CCDF;

pod = 0.90;
ref_dB = r_dB + 10*log10(-log(pod));  % Rayleigh curve
ref_dB

figure;
plot_cdf(H);
plot(p_dB, CDF, 'k--');
plot(ref_dB, 1-pod, 'ko');
legend('100% eff. 1-port antenna', 'Rayleigh', 'Location', 'SouthEast');

figure;
plot_pod(H);
plot(-p_dB, CCDF, 'k--');
plot(-ref_dB, pod, 'ko');
legend('100% eff. 1-port antenna', 'Rayleigh', 'Location', 'SouthEast');
