close all;
clear;

N = 1e5;
w = gen_waves('3D', N, 1, 'LP');
tmp = sum(abs(w.Eth).^2+abs(w.Eph).^2, 2);
assert(max(abs(tmp-1))<0.001, 'Waves not normalized as expected.');

a = gen_farfield('isotropic theta', 181);
assert(abs(get_power_radiated(a)-1)<0.01, 'OMG');
p = gen_positions(0);
H = calc_waves(w, a, p);
mean(abs(H(:)).^2)

w2 = gen_waves('3D', N, 1, 'theta');
tmp = sum(abs(w2.Eth).^2+abs(w2.Eph).^2, 2);
assert(max(abs(tmp-1))<0.001, 'Waves not normalized as expected.');
H2 = calc_waves(w2, a, p);
mean(abs(H2(:)).^2)

p_dB = [-60:5:-30 -25:0.1:10]';
r_dB = 0;
CCDF = exp(-10.^((p_dB-r_dB)/10));
CDF = 1 - CCDF;

pod = 0.90;
ref_dB = 0;
ref_dB

figure;
plot_cdf(H2);
plot_cdf(H);
plot(p_dB, CDF, 'k--');
plot(ref_dB, 1-pod, 'ko');
legend('100% eff. iso. antenna, polarization-matched', ...
    '100% eff. iso. antenna', ...
    sprintf('Rayleigh r = %.0f dB', r_dB), 'Location', 'SouthEast');

figure;
plot_pod(H2);
plot_pod(H);
plot(-p_dB, CCDF, 'k--');
plot(-ref_dB, pod, 'ko');
legend('100% eff. iso. antenna, polarization-matched', ...
    '100% eff. iso. antenna', ...
    sprintf('Rayleigh r = %.0f dB', r_dB), 'Location', 'SouthEast');
