close all;
clear;

sector = [75 105 -60 60];

N = 1e5;
w = gen_waves(sector, N, 1, 'LP');

a = gen_farfield('isotropic theta', 181);
a = limit_farfield(a, sector);
a = set_power_radiated(a, 1);
get_power_radiated(a)
p = gen_positions(0);
H = calc_waves(w, a, p);

w2 = gen_waves(sector, N, 1, 'theta');
H2 = calc_waves(w2, a, p);

p_dB = [-60:5:-30 -25:0.1:10]';
r_dB = 0;
CCDF = exp(-10.^((p_dB-r_dB)/10));
CDF = 1 - CCDF;

pod = 0.90;
area = -diff(cosd(sector(1:2)))*diff(sector(3:4))*pi/180;
ref_dB = 10*log10(4*pi/area);
ref_dB

figure;
plot_cdf(H2);
plot_cdf(H);
plot(p_dB, CDF, 'k--');
plot(ref_dB, 1-pod, 'ko');
legend('100% eff. iso. antenna, polarization matched', ...
    '100% eff. iso. antenna', 'Rayleigh', 'Location', 'SouthEast');

figure;
plot_pod(H2);
plot_pod(H);
plot(-p_dB, CCDF, 'k--');
plot(-ref_dB, pod, 'ko');
legend('100% eff. iso. antenna, polarization matched', ...
    '100% eff. iso. antenna', 'Rayleigh', 'Location', 'SouthEast');
