close all;
clear;

% Define RLOS waves from a sector centered around the x-axis.
hor = 60;
ver = 40;
w1 = gen_waves([90-ver/2 90+ver/2 -hor/2 hor/2], 1e5, 1, 'theta');
w2 = gen_waves([90-ver/2 90+ver/2 -hor/2 hor/2], 1e5, 1);

% Define antenna and position.
a = gen_farfield('cosn 60');
a = rotate_farfield(a, 0, 90, 0);
p = gen_positions(0);
figure; plot_farfield(a);

% Calculate and plot result.
H1 = calc_waves(w1, a, p);
H2 = calc_waves(w2, a, p);

figure;
plot_cdf(H1, 4);
plot_cdf(H2, 4);
xlim([-50 10]);
legend('Linear polarization matched', 'Random linear polarization');

figure;
plot_pod(H1, 4);
plot_pod(H2, 4);
xlim([-10 50]);
legend('Linear polarization matched', 'Random linear polarization');
