function A = diversity_mrc(H)
%DIVERSITY_MRC Diversity algorithm of channel matrix using MRC (maximum ratio combining).
%
%   function A = diversity_mrc(H)
%
%   The function operates along dimension 1 of the channel matrix "H", and
%   return a matrix "A" with reduced dimensions.

% By Ulf Carlberg.

A = shiftdim(sqrt(sum(abs(H).^2,1)), 1);

end
