function y = eps0()
%EPS0 Physical constant, permittivity of free space, eps0 = 1/(mu0*c0^2).
%
%   function y = eps0()
%
%   eps0 = 1/(mu0*c0^2) = 8.8541878*10^-12 F/m
%
%   Reference:
%   https://en.wikipedia.org/wiki/Vacuum_permittivity
%
%   See also C0, ETA0, MU0.

% By Ulf Carlberg.

y = 1/(mu0*c0^2);

end
