function y = eta0()
%ETA0 Physical constant, impedance of free space, eta0 = c0*mu0.
%
%   function y = eta0()
%
%   eta0 = c0*mu0 = 376.73031 ohm
%
%   Reference:
%   https://en.wikipedia.org/wiki/Impedance_of_free_space
%
%   See also C0, EPS0, MU0.

% By Ulf Carlberg.

y = c0*mu0;

end
