function d_pc = find_phase_center(a, theta, phi, freq, pol)

[Eth, Eph] = get_farfield_components(a, theta, phi, freq);
Eco = Eth*pol(1) + Eph*pol(2);
phase = unwrap(angle(Eco))*180/pi;
phase_diff = phase(1) - phase(2:end);

if numel(theta)==1 && numel(phi)>1
    delta = phi(2:end) - phi(1);
elseif numel(theta)>1 && numel(phi)==1
    delta = theta(2:end) - theta(1);
else
    error('Exactely one of angles theta and phi must have one element.');
end

if isempty(freq), freq = a.freq; end
freq(freq<0) = c0;
if theta(1)==90 && phi(1)==90
    d_pc = mean( c0*phase_diff(:) ./ (freq*360*sind(delta(:))) );
else
    error('Not implemented.');
end
