function s = function_call_str(c)
%FUNCTION_CALL_STR Generate string from function call arguments.
%
%   function s = function_call_str(c)
%
%   Generates a string from a cell array of function call arguments. This
%   function is used to record function calls on e.g. antenna far-field
%   structures.

% By Ulf Carlberg.

s = ''; %#ok<*AGROW>
for ic = 1:numel(c)
    if ischar(c{ic})
        s = [s '''' c{ic} ''', '];
    else
        if numel(c{ic})==0
            s = [s '[], '];
        elseif numel(c{ic})==1
            if abs(c{ic}/pi-round(c{ic}/pi))<1e-6  && abs(c{ic})>1
                s = [s sprintf('%.0f*pi, ', c{ic}/pi)];
            else
                s = [s sprintf('%g, ', c{ic})];
            end
        else
            s = [s '[...], '];
        end
    end
end
s = s(1:end-2);        

end
