function b = iseven(x)
%ISODD True for even numbers (raise error if wrong input).
%
%   function b = iseven(x)
%
%   Return logical true for even numbers. Raise error if:
%   * too large or small to determine if it is odd or even (this includes -Inf
%     and +Inf), or
%   * contains a fraction (e.g. isodd(1.5) raises an error), or
%   * NaN (not-a-number).
%
%   See also ISODD.

% By Ulf Carlberg.

b = ~isodd(x);

end
