function A = mimo_ipsvd(H)
%MIMO_IPSVD MIMO algorithm of channel matrix using inverse power SVD (singular value decomposition).
%
%   function A = mimo_ipsvd(H)
%
%   The channel matrix "H" have dimensions [Nrx Ntx ...]. The function return a
%   matrix "A" with dimensions [min(Nrx,Ntx) ...]. The returned matrix
%   contains amplitude values.
%
%   See also MIMO_MSVD, MIMO_MZF, MIMO_SVD, MIMO_ZF.

% By Ulf Carlberg.

Nstreams = min(size(H,1), size(H,2));
A = sqrt(Nstreams ./ sum(mimo_svd(H).^-2,1));

end
