function A = mimo_mrc(H)
%MIMO_MRC MIMO algorithm of channel matrix using MRC (maximum ratio combining).
%
%   function A = mimo_mrc(H)
%
%   The function operates along dimensions 1 and 2 of the channel matrix "H". It
%   returns the matrix "A" (reduced with one dimension).

% By Ulf Carlberg.

P = sum(abs(H).^2, 1);
P = sum(P, 2);
A = shiftdim(sqrt(P), 1);

end
