function A = mimo_msvd(H)
%MIMO_MSVD MIMO algorithm of channel matrix using minimum SVD.
%
%   function A = mimo_msvd(H)
%
%   The channel matrix "H" have dimensions [Nrx Ntx ...]. If Nrx>=Ntx, the
%   function return a matrix "A" with dimensions [1 ...]. The returned matrix
%   contains amplitude values. (If Ntx>Nrx, an empty matrix is returned.)
%
%   See also MIMO_IPSVD, MIMO_MZF, MIMO_SVD, MIMO_ZF.

% By Ulf Carlberg.

A = min(mimo_svd(H), [], 1);

end
