function A = mimo_mzf(H)
%MIMO_MZF MIMO algorithm of channel matrix using minimum ZF (zero forcing).
%
%   function A = mimo_mzf(H)
%
%   The channel matrix "H" have dimensions [Nrx Ntx ...]. If Nrx>=Ntx, the
%   function return a matrix "A" with dimensions [1 ...]. The returned matrix
%   contains amplitude values. (If Ntx>Nrx, an empty matrix is returned.)
%
%   See also MIMO_IPSVD, MIMO_MSVD, MIMO_SVD, MIMO_ZF.

% By Ulf Carlberg.

A = min(mimo_zf(H), [], 1);

end
