function A = mimo_svd(H)
%MIMO_SVD MIMO algorithm of channel matrix using SVD (singular value decomposition).
%
%   function A = mimo_svd(H)
%
%   The channel matrix "H" have dimensions [Nrx Ntx ...]. The function return a
%   matrix "A" with dimensions [min(Nrx,Ntx) ...]. The returned matrix
%   contains amplitude values.
%
%   See also MIMO_IPSVD, MIMO_MSVD, MIMO_MZF, MIMO_ZF.

% By Ulf Carlberg.

siz = [size(H) 1];
A = zeros([min(siz(1:2)) siz(3:end)]);
for ii = 1:prod(siz(3:end))
    A(:,ii) = svd(H(:,:,ii));
end

end
