function a = mirror_farfield(a)
%MIRROR_FARFIELD Mirror far-field in xy-plane.
%
%   function a = mirror_farfield(a)
%
%   Mirror (PEC) the antenna far-field "a" in the xy-plane (z=0).

% By Ulf Carlberg.

% Leave tag on structure.
a.actions{end+1,1} = 'mirror_farfield(*)';

% Define mirrored antenna pattern (mirror in xy-plane).
a.theta = 180 - flipud(a.theta);  % in case not equidistant spacing
a.Eth = flipud(a.Eth);  % same sign
a.Eph = -flipud(a.Eph);  % changes sign when mirroring

end
