function y = mu0()
%MU0 Physical constant, permeability of free space, mu0 = 4*pi*10^-7 H/m.
%
%   function y = mu0()
%
%   mu0 = 4*pi*10^-7 H/m = 1.2566371*10^-6 H/m
%
%   Reference:
%   https://en.wikipedia.org/wiki/Magnetic_constant
%
%   See also C0, EPS0, ETA0.

% By Ulf Carlberg.

y = 4e-7*pi;

end
