function plot_platform(r)
%PLOT_PLATFORM Plot fixed platform location.
%
%   function plot_platform(r)
%
%   Plot fixed platform.

% By Ulf Carlberg.

if nargin<1, r = 3.0; end

ra = r;
hold on;
plot3([-r ra], [0 0], [0 0], 'r-', 'LineWidth', 3); 
plot3([0 0], [-r ra], [0 0], 'g-', 'LineWidth', 3);
text(ra+0.1, 0, 0, 'x', 'Color', 'r', 'FontSize', 12);
text(0, ra+0.1, 0, 'y', 'Color', 'g', 'FontSize', 12);
phi = linspace(-pi, pi, 81);
a0 = zeros(size(phi));
a1 = r*cos(phi);
a2 = r*sin(phi);
plot3(a1, a2, a0, 'b-', 'LineWidth', 3);
axis((ra+0.1)*[-1 1 -1 1 -1 1]);
axis equal;
view(-10, 20);

end
