function h = plot_polar_data(phi, farfield_dB, plot_style)
%PLOT_POLAR_DATA Internal sub-function for polar plots.

% By Ulf Carlberg.

if nargin<3 || isempty(plot_style), plot_style = '-'; end

userdata = get(gcf, 'UserData');
r_dB = max(farfield_dB-userdata.min_dB, 0) / (userdata.max_dB-userdata.min_dB);
h = plot(r_dB.*cosd(phi), r_dB.*sind(phi), plot_style);

end
