function r = rng(x, a)
%RNG Calculate rounded range of data, useful for plots.
%
%   function r = rng(x, a)
%
%   Calculate rounded range of data in "x" with rounding to step in "a"
%   (default 10). Return 2-column vector with start and stop value. This
%   function is useful with XLIM and YLIM for plots.
%
%   See also XLIM, YLIM.

% By Ulf Carlberg.

if nargin<2, a = 10; end
limit = 1e20;

r = a * [floor(min(x(x(:)>-limit))/a) ceil(max(x(x(:)<limit))/a)];

end
