function [x, y, z] = rthetaphi2xyz(r, theta, phi)
%RTHETAPHI2XYZ Convert spherical coordinates to cartesian (xyz) coordinates.
%
%   function [x, y, z] = rthetaphi2xyz(r, theta, phi)
%
%   Convert spherical coordinates "r", "theta", and "phi" to xyz-coordinates.
%   "theta" is the angle (in degrees) from the z-axis and "phi" is the azimuth
%   angle (in degrees) from the x-axis in the xy-plane.
%
%   See also XYZ2RTHETAPHI.

% By Ulf Carlberg.

x = r .* sind(theta) .* cosd(phi);
y = r .* sind(theta) .* sind(phi);
z = r .* cosd(theta);

end
