function a = select_freq_farfield(a, ifreq)
%SELECT_FREQ_FARFIELD Select a specific frequency from antenna structure.
%
%   function a = select_freq_farfield(a, ifreq)
%
%   Select frequency "ifreq" from antenna structure "a".

% By Ulf Carlberg.

% Leave tag on structure.
a.actions{end+1,1} = ['select_freq_farfield(*, ' function_call_str({ifreq}) ...
    ')'];

% Update antenna structure.
a.Nfreq = 1;
a.freq = a.freq(ifreq);
a.Eth = a.Eth(:,:,ifreq);
a.Eph = a.Eph(:,:,ifreq);

end
