function p = select_positions(p, indx1, indx2)
%SELECT_POSITIONS Select positions (spatial translation and rotation) from position structure.
%
%   function p = select_positions(p, indx1, indx2)
%
%   Select positions from position structure "p" using "indx1" and "indx2".

% By Ulf Carlberg.

% Optional arguments.
if nargin<2 || isempty(indx1), indx1 = 1:p.N; end
if nargin<3 || isempty(indx2), indx2 = 1:p.Na; end

% Select data in structure.
p.x = p.x(indx1, indx2);
p.y = p.y(indx1, indx2);
p.z = p.z(indx1, indx2);
p.alpha = p.alpha(indx1, indx2);
p.theta = p.theta(indx1, indx2);
p.phi = p.phi(indx1, indx2);

% Save matrix size in structure.
p.N = size(p.x, 1);
p.Na = size(p.x, 2);

end
