function a = set_power_radiated(a, pow)
%SET_POWER_RADIATED Set radiated power of antenna structure.
%
%   function a = set_power_radiated(a, pow)
%
%   Set radiated power "pow" of antenna structure "a". Use pow = 1 for a
%   lossless antenna (default).

% By Ulf Carlberg.

if nargin<2, pow = 1; end

% Leave tag on structure.
a.actions{end+1,1} = ['set_power_radiated(*, ' function_call_str({pow}) ')'];

norm_factors = sqrt(pow./get_power_radiated(a));
for ifreq = 1:a.Nfreq
    a.Eth(:,:,ifreq) = norm_factors(ifreq) * a.Eth(:,:,ifreq);
    a.Eph(:,:,ifreq) = norm_factors(ifreq) * a.Eph(:,:,ifreq);
end

end
