function [x, y, z] = unit_vector_phi(phi)
%UNIT_VECTOR_PHI Cartesian-coordinates (xyz-coordinates) of the spherical unit vector phi-hat for the angle phi.
%
%   function [x, y, z] = unit_vector_phi(phi)
%
%   Return the xyz-coordinates of the spherical unit vector phi-hat for the
%   angle "phi". "phi" is the azimuth angle from the x-axis in the xy-plane.
%   (The angle "theta" is not needed to calculate phi-hat.)
%
%   See also UNIT_VECTOR_R and UNIT_VECTOR_THETA.

% By Ulf Carlberg.

x = -sind(phi);
y = cosd(phi);
z = zeros(size(phi));

end
