function [x, y, z] = unit_vector_theta(theta, phi)
%UNIT_VECTOR_THETA Cartesian-coordinates (xyz-coordinates) of the spherical unit vector theta-hat for angles theta and phi.
%
%   function [x, y, z] = unit_vector_theta(theta, phi)
%
%   Return the xyz-coordinates of the spherical unit vector theta-hat for the
%   angles "theta" and "phi". "theta" is the angle from the z-axis and "phi" is
%   the azimuth angle from the x-axis in the xy-plane.
%
%   See also UNIT_VECTOR_R and UNIT_VECTOR_PHI.

% By Ulf Carlberg.

x = cosd(theta) .* cosd(phi);
y = cosd(theta) .* sind(phi);
z = -sind(theta);

end
