% This script displays the array sizes for 4-D arrays as well as arrays with
% higher dimensions.

% Get variable data from workspace:
whos2_a = whos;

% Determine maximum length of the variable names:
whos2_m = 5;
for whos2_i = 1:length(whos2_a)
    whos2_m = max(length(whos2_a(whos2_i).name),whos2_m);
end    

% Header:
disp(['Name  ' repmat(' ',1,whos2_m-5) 'Array size']);
disp(['------' repmat('-',1,whos2_m-5) '----------']);

% Display each variable name and dimension:
for whos2_i = 1:length(whos2_a)
    
    % Name of variable:
    whos2_s = whos2_a(whos2_i).name;

    % Fill up with space:
    whos2_s = [whos2_s repmat(' ',1,whos2_m-length(whos2_s)+1)]; %#ok<AGROW>

    % The dimensions:
    whos2_z = whos2_a(whos2_i).size;
    for whos2_j = 1:length(whos2_z)
        whos2_s = [whos2_s num2str(whos2_z(whos2_j)) 'x']; %#ok<AGROW>
    end
    
    % Display the string, except the last 'x':
    disp(whos2_s(1:end-1));
end

% Delete all variables used in this script:
clear whos2_a whos2_m whos2_i whos2_s whos2_z whos2_j;
