% Test generation of far-field functions for canonical antennas.
close all;
clear;

a = gen_farfield('electric dipole', 41, 81);
a = rotate_farfield(a, 0, 45, 45);

plot_farfield(a);

% Make sure the radiated power is 1.
P = get_power_radiated(a);
fprintf('Power radiated = %.2f dB = %.8f\n', 10*log10(P), P);
