close all;
clear;
if isoctave()
    rand('state', 123);  %#ok<RAND>
else
    reset(RandStream.getGlobalStream, 123);
end

% Test typical use.
w = gen_waves([90-15 90+5 -180 180], 1, 100, 'LP', []);
figure; plot_waves(w);

% Test Rician fading.
pols = {'RHC', 'LHC', 'LP'};
for ii = 1:numel(pols)
    w = gen_waves('3D', 5, 20, pols{ii}, -10, 1);
    pow = abs(w.Eth).^2 + abs(w.Eph).^2;
    disp(' ');
    disp(['Polarization: ' pols{ii}]);
    disp('Total power per realization:');
    disp(sum(pow(:,:,1),2)');
    disp('K-factors [dB]:');
    disp(10*log10(pow(:,1,1)' ./ sum(pow(:,2:end,1),2)'));
end
figure; imagesc(pow);
