close all;
clear;

% Generate some random integers.
x = round(10e6*(rand(10e6,1)-0.5));

% Time different algorithms.
tic; b1o = isodd(x); toc;
tic; b2o = logical(mod(x,2)); toc;
tic; b3o = logical(bitget(abs(x),1)); toc;
tic; b1e = iseven(x); toc;
tic; b2e = ~logical(mod(x,2)); toc;
tic; b3e = ~logical(bitget(abs(x),1)); toc;

% Check that everything agree...
assert(all(b1o(:)==b2o(:)), 'Something is wrong...');
assert(all(b1o(:)==b3o(:)), 'Something is wrong...');
assert(all(b1o(:)~=b1e(:)), 'Something is wrong...');
assert(all(b1o(:)~=b2e(:)), 'Something is wrong...');
assert(all(b1o(:)~=b3e(:)), 'Something is wrong...');

% All these should generate errors.
try
    isodd(NaN);
    disp('Something is wrong...');
catch
    %
end
try
    isodd(4.3);
    disp('Something is wrong...');
catch
    %
end
try
    isodd(2^53+1);
    disp('Something is wrong...');
catch
    %
end
