close all;
clear;
%profile on;

n = 25;
alpha = 360*rand(n,1);
theta = 360*rand(n,1);
phi = 360*rand(n,1);

figure;
a1 = gen_farfield('inc. Huygens source');
a2 = a1;
for ii = 1:n
    a2 = rotate_farfield(a2, alpha(ii), theta(ii), phi(ii));
    plot_farfield(a2, [], [], [], 1);
    drawnow;
end
tic;
for ii = n:-1:1
    a2 = rotate_farfield(a2, -phi(ii), -theta(ii), -alpha(ii));
end
toc;
err_th = abs(a2.Eth - a1.Eth);
err_ph = abs(a2.Eph - a1.Eph);
err_dB = 20*log10(max([err_th(:) ; err_ph(:)]));
%a2.actions
fprintf('Maximum numerical error = %6.1f dB\n', err_dB);
%profile viewer;
