close all;
clear;

% Just take some example numbers. This is not a mathematical proof ;)
tmp = primes(100);
c = tmp(20:end);
s = tmp(10:end);

% Rotation around y-axis.
k = 2; r2 = [c(k) 0 s(k) ; 0 1 0 ; -s(k) 0 c(k)];

% Rotation around z-axis.
k = 1; r1 = [c(k) -s(k) 0 ; s(k) c(k) 0 ; 0 0 1];
k = 3; r3 = [c(k) -s(k) 0 ; s(k) c(k) 0 ; 0 0 1];

% See if implementation is the same as theory...
%#ok<*NOPTS>
rp = r3*r2*r1
ri = [ c(1)*c(2)*c(3)-s(1)*s(3), -c(1)*s(3)-c(2)*c(3)*s(1), c(3)*s(2) ; ...
       c(3)*s(1)+c(1)*c(2)*s(3),  c(1)*c(3)-c(2)*s(1)*s(3), s(2)*s(3) ; ...
      -c(1)*s(2),                 s(1)*s(2),                c(2)        ]
same = rp==ri 

% This rest of the script requires the symbolic toolbox!
v = ver('symbolic');
if numel(v)==0
    disp('Could not find the symbolic toolbox.');
    return;
end

% Define rotations around x/y/z-axis where c = cos(angle), s = sin(angle).
syms c s
rx(c,s) = [1  0 0 ; 0 c -s ;  0 s c];
ry(c,s) = [c  0 s ; 0 1  0 ; -s 0 c];
rz(c,s) = [c -s 0 ; s c  0 ;  0 0 1];

% Find expression for specific z-y-z rotation.
syms c1 s1 c2 s2 c3 s3
rot_mat = rz(c3,s3) * ry(c2,s2) * rz(c1,s1)

%rot_mat =
%[ c1*c2*c3 - s1*s3, - c1*s3 - c2*c3*s1, c3*s2]
%[ c3*s1 + c1*c2*s3,   c1*c3 - c2*s1*s3, s2*s3]
%[           -c1*s2,              s1*s2,    c2]
